List Agreement Events
GET/agreements/:agreement_id/events
Lists all events for the agreement (excluding specific events related to participants). The events are returned in ascending order by creation date. Events are read only.
Request
Path Parameters
GET /agreements/:agreement_id/events parameter
Responses
- 200
- 400
GET /agreements/:agreement_id/events Successful response
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Possible values: [1.0]
The version of the response schema
Possible values: [list]
A non-paginated list of the agreement event resource.
Possible values: [agreement_event]
Data contains the agreement event resource.
data object[]required
The unique identifier of the agreement event
Possible values: [agreement_event]
The unique identifier of the agreement which this event belongs to
Possible values: non-empty
The title of the agreement event
Possible values: non-empty
The description of the agreement event
UTC datetime ISO string
UTC datetime ISO string
{
"version": "1.0",
"result_type": "list",
"resource_type": "agreement_event",
"data": [
{
"id": "cha0gqaa64fhwzjru9wexample",
"resource_type": "agreement_event",
"agreement": "csrfyc4g5geyj4lffogexample",
"title": "Completed validation of participants",
"description": "Completed validation of all participants",
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
]
}
GET /agreements/:agreement_id/events Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: [input_validation_error, bad_request, authorization_error, forbidden_error, not_found_error, conflict_error, internal_server_error]
input_validation_error (400): the request input is invalid. bad_request (400): the request cannot be processed. authorization_error (401): the access token is missing or invalid. forbidden_error (403): the client is not allowed to perform the request. not_found_error (404): the resource does not exist. conflict_error (409): a concurrent change made the request invalid, e.g. the agreement stopped being editable while the request was processed. Re-fetch the resource before retrying. internal_server_error (500): an unexpected error occurred.
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"type": "input_validation_error",
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}